<?php
    header('Content-Type: application/json');
    // Path pour les sauvegardes des données transmisent par le client
    define('DATA_PATH', 'data/');
    define('CODE_TIMEOUT', 300); // 5 minutes
    // Epuration des codes qui ont expirés (timeout)
    foreach (glob(DATA_PATH . '*') as $file) {
        if (time() - filemtime($file) > CODE_TIMEOUT) {
            unlink($file);
        }
    }
    // Recupère le code
    $code = isset($_REQUEST['code']) ? $_REQUEST['code'] : 'nope';
    // Est-ce un code existant ?
    if (!file_exists(DATA_PATH . $code)) {
        die(json_encode('error'));
    }
    // Retourne les données
    echo file_get_contents(DATA_PATH . $code);
